﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.Model
{
    /// <summary>
    /// 驱动设备:  咖博士咖啡机器
    /// 设备序列号:0x02225132
    /// 创建时间： 20220419
    /// </summary>

    /// <summary>
    /// 咖博士咖啡机制作
    /// </summary>
    public class DRCoffee_MakeCoffeeEvent :BaseEvent
    {
        public byte DrinkCode { get; set; }
    }

    /// <summary>
    /// 咖博士咖啡机取消制作咖啡
    /// </summary>
    public class DRCoffee_CancelMakeCoffeeEvent :BaseEvent
    {

    }

    /// <summary>
    /// 咖博士咖啡机模式设置
    /// </summary>
    public class DRCoffee_CoffeeCommCmdEvent :BaseEvent
    {
        public byte CommCmd { get; set; }
    }

    /// <summary>
    /// 咖博士咖啡机结束制作
    /// </summary>
    public class DRCoffee_CoffeEndCookEvent :BaseEvent
    {

    }
}
